import { request } from '@/utils/request';

import type {
  addUserDto,
  getUserListDto,
  resetPd,
  DelUserDTO
} from '@/types/BiDoctor';

/**
 * 新增用户
 * @param addUserDto
 * @returns
 */
const addUser = (data: addUserDto) => {
  return request('/bi-manager/user/addUser', 'POST', data);
};

/**
 * 删除用户
 * @param DelUserDTO
 * @returns
 */
const delUser = (data: DelUserDTO) => {
  return request('/bi-manager/user/delUser', 'POST', data);
};

/**
 * 编辑用户
 * @param addUserDto
 * @returns
 */
const editUser = (data: addUserDto & { id: string }) => {
  return request('/bi-manager/user/editUser', 'POST', data);
};

/**
 * 查询用户
 * @param addUserDto
 * @returns
 */
const getUserList = (data: getUserListDto) => {
  return request<any>('/bi-manager/user/getUserList', 'POST', data);
};

/**
 * 重置密码
 * @param resetPd
 * @returns
 */
const resetPd = (data: resetPd) => {
  return request('/bi-manager/user/resetPd', 'POST', data);
};

export default { addUser, delUser, editUser, getUserList, resetPd };
